Skip to main content
GET/api/conversations/{conversationId}/bankTransactions/stats

Retrieving statistics of downloaded banking transactions related to the conversation

Returns statistics related to downloaded transactions. These statistics are returned for each account that has been shared as part of the conversation. This information only occurs when the bankTransactions section is defined when creating a conversation. and are available when the appropriate callback is received, or when the bankTransactions status reaches FINISHED.

Query Parameter Description

The method supports the following query parameters:

ParameterExampleDescription
dateFrom2020-09-17T11: 18: 21.999ZThe starting date for the scope of analyzed transactions in the format https://tools.ietf.org/html/rfc3339(opens in new tab). The default value is the oldest available transaction. You can enter an earlier date, but only transactions that the user has shared will be included.
dateTo2020-09-17T11: 18: 21.999ZThe end date for the range of analyzed transactions in the format https://tools.ietf.org/html/rfc3339(opens in new tab). The default value is the latest available transaction. You can enter a later date, but only transactions that the user has shared will be included.

Response Content Description

Returned fields may be missing some information. For example, if only the account credits were selected when creating a conversation, the statistics do not contain information about the charges.

Detailed description of returned fields:

ParameterExampleDescription
dateFrom2020-09-16T10: 44: 51.544ZThe starting date of the search criteria, or the date of the first transaction for all bank accounts, if the criteria was empty. The field will not be presented if the starting date criterion is not specified and there are no transactions in the given search criteria.
dateTo2020-09-16T10: 44: 51.544ZEnd date of the search criteria, or the date of the last transaction for all bank accounts, if the criteria was empty. The field will not be presented if the end date criterion is not specified and there are no transactions in the given search criteria.
items-A structure containing information about transaction statistics. Each element of this structure represents statistics from a separate bank account.
items.dateFirst2020-06-16T00: 00: 00.000ZDate of the first transaction in the range.
items.dateLast2020-09-16T00: 00: 00.000ZDate of the last transaction in the range.
items.numberOfCreditTransactions12Number of bank account discretionary transactions.
items.numberOfDebitTransactions12Number of debit transactions on the bank account.
items.avgCreditPerMonth300,000Average value of credit transactions per month, presented in basic units - e.g. in grosze. The value will be available if the analyzed period is greater than 60 days.
items.avgDebitPerMonth258000Average value of debit transactions per month, presented in basic units - e.g. in grosze. The value will be available if the analyzed period is greater than 60 days.
items.avgCredit30,000Average value of bank account discretionary transactions, presented in basic units - e.g. in grosze.
items.avgDebit40,000Average value of bank account debit transactions, presented in basic units - e.g. in grosze.
items.maxCredit110000Maximum value of a bank account discretionary transaction, presented in basic units - e.g. in grosze.
items.maxDebit132000The maximum value of the debit transaction from the bank account, presented in basic units - e.g. in grosze.
items.accountIdPL68249000050000400075212326Account number.
items.currencyPLNCurrency code for a given bank account.

Parameters

NameInTypeRequiredDescription
conversationIdpathstringRequired

Conversation ID

dateFromquerystring · date-timeOptional

Starting date

dateToquerystring · date-timeOptional

End date

Responses

Information available

Content-Typeapplication/vnd.authologic.v1.1+jsonJSON
dateFromstring · date-time

The starting date of the search criteria or the date of the first transaction for all accounts if the criteria was empty

Example:2020-07-24T08:00:00Z
dateTostring · date-time

End date of the search criteria or the last transaction date for all accounts if the criteria was empty

Example:2020-08-24T00:00:00Z
itemsarray<TransactionStatistics> required

List of transaction statistics for each account separately

Powered by Authologic Nisaba